
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');

:root {
    --primary-color: #aa014f;
    --secondary-color: #1a171c;
    --color-white: #FFFFFF;
    --color-black: #000000;
    --primary-font: 'Poppins', sans-serif;
    --heading-font-size: 26px;
}
body {
    font-family: var(--primary-font);
    font-size: 14px;
}

h2 {
    color: var(--primary-color);
    font-size: var(--heading-font-size);
    font-weight: bold;
}

a, a:hover {
    color: var(--color-black);
}

.text-primary {
    color:  var(--primary-color) !important;
}

.heading-text {
    color: var(--primary-color);
    font-size: 16px;
}

.left-side {
    background-color: var(--primary-color);
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    position: relative;
    height: 100vh; /* Ekranın tamamını kaplayacak */
    overflow: hidden; /* Taşmaları engeller */
}

.right-side {
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.logo {
    max-width: 100%;
    height: auto;
}

.form-container {
    width: 100%;
    max-width: 450px;
    padding: 20px;
}

.form-control {
    border-radius: 40px;
    padding: 25px 25px 25px 45px;
    font-size: 0.8rem;
}

.input-icon {
    position: relative;
}

.input-icon img {
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
}

.btn-block {
    width: 100%;
    border-radius: 40px;
    padding: 15px;
    background-color: var(--primary-color);
    border: 1px solid var(--color-white);
    color: white;
}

.btn-block:hover {
    background-color: var(--color-white);
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}

.form-text {
    color: #000000;
}

.btn-google {
    background-color: #EEF3F5;
    color: var(--color-black);
    border: none;
    border-radius: 10px !important;
    padding: 10px;
}

.btn-google:hover {
    background-color: var(--primary-color);
    border: none;
    color: var(--color-white);
}

.button-icon {
    width: 20px;
    height: 20px;
    margin-right: 10px
}

.btn-facebook {
    background-color: #1877F2;
    color: var(--color-white);
    border: none;
    border-radius: 10px !important;
    padding: 10px;
}

.btn-facebook:hover {
    background-color: var(--primary-color);
    border: none;
    color: var(--color-white);
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 10px 0;
    text-align: center;
}

@media (max-width: 992px) {
    .left-side {
        max-height: 65px;
        display: flex;
        align-items: center;
        justify-content: flex-start;
    }
    .left-side:before, .left-side:after {
        display: none;
    }
    .logo {
        height: 50px;
    }

    .right-side {
        justify-content: space-between;
    }

    footer {
        position: relative;
    }
}